import os
import shutil

import click

CONTEXT_SETTINGS = dict(help_option_names=['-h', '--help'])


@click.group(context_settings=CONTEXT_SETTINGS)
def cli():
    pass


@cli.command()
@click.option('-d', '--matlab_directory', type=str, help='Full path to copy the ALTIUS L1PP Inflight MatLab files')
def copymatlabfiles(matlab_directory):
    copy_matlab_files(matlab_directory)


def copy_matlab_files(matlab_directory):
    path = os.path.abspath(os.path.join(os.path.dirname(__file__), '..', 'MATLAB'))

    shutil.copytree(path, matlab_directory)


if __name__ == '__main__':
    copy_matlab_files('C:/tmp/')
